## mingw-w64-lilv-0.26.0-1.src.tar.zst

=== meson_options.txt ===
# Copyright 2021-2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option('bindings_py', type: 'feature',
       description: 'Build Python bindings')

option('bindings_cpp', type: 'feature',
       description: 'Build C++ bindings')

option('default_lv2_path', type: 'string', value: '',
       description: 'Default LV2_PATH to use if it is unset')

option('docs', type: 'feature',
       description: 'Build documentation')

option('dynmanifest', type: 'feature', value: 'disabled',
       description: 'Build dynamic manifest support')

option('html', type: 'feature',
       description: 'Build paginated HTML documentation')

option('lint', type: 'boolean', value: false,
       description: 'Run code quality checks')

option('singlehtml', type: 'feature',
       description: 'Build single-page HTML documentation')

option('tests', type: 'feature',
       description: 'Build tests')

option('title', type: 'string', value: 'Lilv',
       description: 'Project title')

option('tools', type: 'feature',
       description: 'Build command line utilities')
